Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface GroupDocument

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `GroupDocumentImpl`

      public interface GroupDocument
      extends XmlObject

  A document containing one group(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<GroupDocument>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NamedGroup` | `addNewGroup()` | Appends and returns a new empty "group" element
    `NamedGroup` | `getGroup()` | Gets the "group" element
    `void` | `setGroup​(NamedGroup group)` | Sets the "group" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<GroupDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getGroup

          NamedGroup getGroup()

      Gets the "group" element

    - #### setGroup

          void setGroup​(NamedGroup group)

      Sets the "group" element

    - #### addNewGroup

          NamedGroup addNewGroup()

      Appends and returns a new empty "group" element